require('dotenv').config();
module.exports = {


    friendlyName: 'Create',


    description: 'Create Attribution rang!',


    inputs: {
        codeEcole: {
            type: 'string',
            required: true
        },
        codeClasse: {
            type: 'string',
            required: true
        },

        matricule: {
            type: 'string',
            required: true
        },
        anneeScolaire: {
            type: 'string',
            required: true
        },

        numeroQuittance: {
            type: 'string',
            required: true
        },
        codeNatureRecette: {
            type: 'string',
        },
        libelleNatureRecette: {
            type: 'string',
        },

        montantPaye: {
            type: 'string',

        },


        logiUsername: {
            type: 'string',
            require: true

        },
        key: {
            type: 'string',
            require: true

        },
        logiPassword: {
            type: 'string',
            require: true

        },


    },


    exits: {
        notFound: {
            statusCode: 404
        },
    },


    fn: async function (inputs, exits) {

        //console.log("INPUTS 1", inputs)

        // TOKEN VERIFY
        let user = await Utilisateurs.find({ login: inputs.logiUsername, codeUser: inputs.logiPassword }).then(_.first)
        if (!user) {
            return exits.notFound('Utilisateur non trouvé')
        }
        console.log("INPUTS 2", inputs)

        let keyVerify = process.env.KEYVERIFY
        //
        if (keyVerify !== inputs.key) {
            return exits.notFound({ message: "Token non valide" })
        }


        ///////////////////
        let detailsPayementCreate;
        let detailsPayement = await DetailsPaiement.find({ codeClasse: inputs.codeClasse, codeEcole: inputs.codeEcole, matricule: inputs.matricule, numeroQuittance: inputs.numeroQuittance, codeNatureRecette: inputs.codeNatureRecette }).then(_.first)
        if (detailsPayement) {

            return exits.notFound({ message: "Ce détails existe déja, veuillez la modifier!" })
        } else {
            detailsPayementCreate = await DetailsPaiement.create(inputs).fetch();
        }
        // All done.
        return exits.success(detailsPayementCreate);

    }


};
